UPDATE-PASSWD(8)

NAME
update-passwd - /etc/passwd, /etc/shadow und /etc/group sicher aktualisieren

ÜBERSICHT
update-passwd [Optionen]

BESCHREIBUNG
update-passwd kümmert sich um Aktualisierungen von /etc/passwd, /etc/shadow und /etc/group in laufenden Debian-Systemen. Es vergleicht die aktuellen Dateien mit Kopiervorlagen, die im Paket base-passwd verteilt werden, und aktualisiert alle Einträge in dem globalen Systembereich (d.h. 0…99). Es belässt Sicherungskopien der vorhergehenden Versionen von veränderten Dateien mit der Änderung ».org« (für »original«, dt. ursprünglich).

OPTIONEN
update-passwd folgt der normalen GNU-Befehlszeilensyntax, bei der die Langform der Optionen mit zwei Minuszeichen beginnen (»-«).

-p, --passwd-master=DATEI
    DATEI als Kopiervorlage der Passwortdatenbank verwenden. Der Standardwert ist /usr/share/base-passwd/passwd.master.

-g, --group-master=DATEI
    DATEI als Kopiervorlage der Gruppendatenbank verwenden. Der Standardwert ist /usr/share/base-passwd/group.master.

-P, --passwd=DATEI
    DATEI als Systemdatenbank von Passwd verwenden. Der Standardwert ist /etc/passwd.

-S, --shadow=DATEI
    DATEI als Systemdatenbank von Shadow verwenden. Der Standardwert ist /etc/shadow.

-G, --group=DATEI
    DATEI als System-Gruppendatenbank verwenden. Der Standardwert ist /etc/group.

-s, --sanity-check
    Nur Plausibilitätsprüfungen durchführen aber nichts ändern.

-v, --verbose
    Detaillierte Informationen über die durchgeführten Maßnahmen angeben. Ein zweites »-v« liefert zusätzliche Details.

-n, --dry-run
    Nichts durchführen, nur zeigen, was getan würde.

-L, --no-locking
    Nicht versuchen, die Datenbank zu sperren. Dies sollte nur bei der Suche nach Fehlern verwandt werden. Nochmal: Verwenden Sie dies nur, wenn Sie sich absolut sicher sind, dass Sie es benötigten!

-h, --help
    Eine Übersicht über die Verwendung von update-passwd anzeigen.

-V, --version
    Versionsnummer anzeigen

UMGEBUNG

DEBIAN_HAS_FRONTEND
    Falls diese Umgebungsvariable gesetzt ist und der Schalter --dry-run nicht verwandt wurde, wird update-passwd Debconf verwenden, um abzufragen, ob Änderungen vorgenommen werden sollen. Jede vorgeschlagene Änderung wird eine eigene Aufforderung hervorrufen. Benutzer- oder Gruppenentfernungen, UID- oder GID-Änderungen und Home-Verzeichnisänderungen werden mit hoher Priorität abgefragt. Benutzer- oder Gruppenhinzufügungen und Shell-Änderungen werden mit mittlerer Priorität abgefragt. Fragen, ob Einträge über den NIS-Compat-Einbindungseintrag verschoben werden sollen oder ob die GECOS eines Benutzers geändert werden sollen, erfolgen mit niedriger Priorität.

FEHLER
Derzeit überprüft update-passwd die Shadow-Datei nicht. Es sollte prüfen, ob die Einträge in der Passwd-Datei auch in der Shadow-Datei und umgekehrt sind. Auch sollte geprüft werden, dass Passwörter nicht in beiden Dateien vorkommen.

AUTOR
Wichert Akkerman <wakkerma@debian.org>

Dieses Programm wurde für das Debian-Projekt geschrieben und unterliegt dem Copyright 1999–2002 Wichert Akkerman und 2002, 2003 Colin Watson. Es wird unter Version 2 der GNU General Public License vertrieben.

ÜBERSETZUNG
Diese Übersetzung wurde 2011 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.